apiVersion: v1
kind: Secret
metadata:
  name: {{ artifactory_name }}
  namespace: {{ namespace }}
stringData:
  mariadb.properties: |
    driver=org.mariadb.jdbc.Driver
    password=in-another-secret
    type=mysql
    url=jdbc:mariadb://{{ artifactory_pc_name if (artifactory_db_type == 'percona') else artifactory_ms_name }}:3306/{{ ms_sc.resources[0].data['database-name'] | b64decode }}?characterEncoding=UTF-8&elideSetAutoCommits=true&useSSL=false
    username=the-princess-is
